The Synthesis ToolKit in C++ (STK)

Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

Public Attributes | List of all members
RtAudio::DeviceInfo Struct Reference

The public device information structure for returning queried values. More...

`#include <RtAudio.h>`

## Public Attributes
bool | probed
std::string | name
unsigned int | outputChannels {}
unsigned int | inputChannels {}
unsigned int | duplexChannels {}
bool | isDefaultOutput {false}
bool | isDefaultInput {false}
std::vector< unsigned int > | sampleRates
unsigned int | preferredSampleRate {}
RtAudioFormat | nativeFormats {}

## Detailed Description

The public device information structure for returning queried values.

## Member Data Documentation

## ◆ probed

bool RtAudio::DeviceInfo::probed

true if the device capabilities were successfully probed.

## ◆ name

std::string RtAudio::DeviceInfo::name

Character string device identifier.

## ◆ outputChannels

unsigned int RtAudio::DeviceInfo::outputChannels {}

Maximum output channels supported by device.

## ◆ inputChannels

unsigned int RtAudio::DeviceInfo::inputChannels {}

Maximum input channels supported by device.

## ◆ duplexChannels

unsigned int RtAudio::DeviceInfo::duplexChannels {}

Maximum simultaneous input/output channels supported by device.

## ◆ isDefaultOutput

bool RtAudio::DeviceInfo::isDefaultOutput {false}

true if this is the default output device.

## ◆ isDefaultInput

bool RtAudio::DeviceInfo::isDefaultInput {false}

true if this is the default input device.

## ◆ sampleRates

std::vector<unsigned int> RtAudio::DeviceInfo::sampleRates

Supported sample rates (queried from list of standard rates).

## ◆ preferredSampleRate

unsigned int RtAudio::DeviceInfo::preferredSampleRate {}

Preferred sample rate, e.g. for WASAPI the system sample rate.

## ◆ nativeFormats

RtAudioFormat RtAudio::DeviceInfo::nativeFormats {}

Bit mask of supported data formats.

The documentation for this struct was generated from the following file:

- RtAudio.h

The Synthesis ToolKit in C++ (STK)
©1995--2021 Perry R. Cook and Gary P. Scavone. All Rights Reserved.